Bug 341381 - multiarch conflicts in GraphicsMagick
multiarch conflicts in GraphicsMagick
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: GraphicsMagick (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:38 EDT by Bill Nottingham
Modified: 2014-03-16 23:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 11:20:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:38:59 EDT
GraphicsMagick (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/GraphicsMagick++-config from install of GraphicsMagick-c++-devel-1.1.8-3.fc8 conflicts with file from package GraphicsMagick-c++-devel-1.1.8-3.fc8
  file /usr/bin/GraphicsMagick-config from install of GraphicsMagick-devel-1.1.8-3.fc8 conflicts with file from package GraphicsMagick-devel-1.1.8-3.fc8
  file /usr/include/GraphicsMagick/magick/magick_types.h from install of GraphicsMagick-devel-1.1.8-3.fc8 conflicts with file from package GraphicsMagick-devel-1.1.8-3.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Bug Zapper 2008-05-13 23:30:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Rex Dieter 2008-11-03 12:58:58 EST
Still present today:
  file /usr/bin/GraphicsMagick-config conflicts between attempted installs of GraphicsMagick-devel-1.1.14-3.fc10.x86_64 and GraphicsMagickdevel-1.1.14-3.fc10.i386
  file /usr/include/GraphicsMagick/magick/magick_types.h conflicts between attempted installs of GraphicsMagick-devel-1.1.14-3.fc10.x86_64 and GraphicsMagick-devel-1.1.14-3.fc10.i386
Comment 3 Bug Zapper 2008-11-25 21:01:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Philippe Troin 2009-06-28 16:08:43 EDT
Still in F11 with GraphicsMagick-c++-devel-1.1.14-4.fc11:

  file /usr/bin/GraphicsMagick++-config conflicts between attempted installs of GraphicsMagick-c++-devel-1.1.14-4.fc11.x86_64 and GraphicsMagick-c++-devel-1.1.14-4.fc11.i586
Comment 5 Rex Dieter 2009-06-30 10:47:29 EDT
I'll help take care of this.
Comment 6 Rex Dieter 2009-06-30 11:20:12 EDT
Fixed in rawhide, 1.1.15-1

Note You need to log in before you can comment on or make changes to this bug.